Package ch.qos.logback.classic.gaffer

## Class PropertyUtil

- java.lang.Object
- - ch.qos.logback.classic.gaffer.PropertyUtil

All Implemented Interfaces:
  `groovy.lang.GroovyObject`

    public class PropertyUtil
    extends java.lang.Object
    implements groovy.lang.GroovyObject

### Constructor Summary

Constructors
`PropertyUtil()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `attach​(NestingType nestingType, java.lang.Object component, java.lang.Object subComponent, java.lang.String name)`
`static java.lang.Object` `convertByValueMethod​(java.lang.Object component, java.lang.String name, java.lang.String value)`
`groovy.lang.MetaClass` `getMetaClass()`
`java.lang.Object` `getProperty​(java.lang.String property)`
`static boolean` `hasAdderMethod​(java.lang.Object obj, java.lang.String name)`
`java.lang.Object` `invokeMethod​(java.lang.String method, java.lang.Object arguments)`
`static NestingType` `nestingType​(java.lang.Object obj, java.lang.String name, java.lang.Object value)`
`void` `setMetaClass​(groovy.lang.MetaClass mc)`
`void` `setProperty​(java.lang.String property, java.lang.Object value)`
`static java.lang.String` `transformFirstLetter​(java.lang.String s, groovy.lang.Closure closure)`
`static java.lang.String` `upperCaseFirstLetter​(java.lang.String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyUtil

    public PropertyUtil()

### Method Detail

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass​(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public java.lang.Object invokeMethod​(java.lang.String method,
                                         java.lang.Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public java.lang.Object getProperty​(java.lang.String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty​(java.lang.String property,
                            java.lang.Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### hasAdderMethod

    public static boolean hasAdderMethod​(java.lang.Object obj,
                                         java.lang.String name)

#### nestingType

    public static NestingType nestingType​(java.lang.Object obj,
                                          java.lang.String name,
                                          java.lang.Object value)

#### convertByValueMethod

    public static java.lang.Object convertByValueMethod​(java.lang.Object component,
                                                        java.lang.String name,
                                                        java.lang.String value)

#### attach

    public static void attach​(NestingType nestingType,
                              java.lang.Object component,
                              java.lang.Object subComponent,
                              java.lang.String name)

#### transformFirstLetter

    public static java.lang.String transformFirstLetter​(java.lang.String s,
                                                        groovy.lang.Closure closure)

#### upperCaseFirstLetter

    public static java.lang.String upperCaseFirstLetter​(java.lang.String s)